cancel
Showing results for 
Search instead for 
Did you mean: 

Archives Discussions

settle
Challenger

Error Installing CodeXL 1.0.2409

Jump to solution

I just tried to install CodeXL 1.0.2409 with admin privileges on my Windows 7 64-bit machine with Catalyst 12.10 and APP SDK 2.8, but I get the following error:

There is a problem with this Windows Installer package.  A program required for the install to complete could not be run.  Contact your support personnel or package vendor.

I can't find any log file to determine which program could not be run.  Any ideas?

0 Likes
1 Solution

Accepted Solutions
kalyanpk
Staff
Staff

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Hi,

There is a known issue with CodeXL installation on a system with CodeAnalyst already installed.

This issue is mostly occurred during un-install of CodeXL on a system with CodeAnalyst already installed.

From you post, it looks like you are seeing this while installation.

Hope you are installing CodeXL with "Administrator" privilege.

Also, I'm assuming that you are using CodeAnalyst 3.8 version.

There is a work-around for the issue that you are facing. Can you please try the following:

1. Un-Install CodeAnalyst 3.8

2. Install CodeXL 1.0

3. Install CodeAnalyst.

Now, both CodeAnalyst and CodeXL should work fine.

Let me know if you are still facing the problem.

Thanks,

Kalyan P

View solution in original post

0 Likes
5 Replies
dorono
Staff
Staff

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Hi Settle,

A few questions:

Do you have CodeAnalyst installed on this station?

Was the installation completed after the error message appeared?

Reboot your machine. Does CodeXL 1.0 run properly now?

Could you run the installer with the command line arguments  "/L*V logname.txt" and upload the log file so we can look into it?

Thanks,

Doron Ofek

Advanced Micro Devices


The information presented in this document is for informational purposes only and may contain technical inaccuracies, omissions and typographical errors. Links to third party sites are for convenience only, and no endorsement is implied.

settle
Challenger

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Hi Ofek,

Thanks for your very quick reply!  Yes, I do have CodeAnalyst installed already.  The error prompt occurs when the status bar is around 80 to 90% completed.  I checked the installation path and there's no CodeXL folder, so I assume it cleaned itself up after the error.  I generated a log file as you showed.  It's quite long, what's the best way to upload it?

0 Likes
kalyanpk
Staff
Staff

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Hi,

There is a known issue with CodeXL installation on a system with CodeAnalyst already installed.

This issue is mostly occurred during un-install of CodeXL on a system with CodeAnalyst already installed.

From you post, it looks like you are seeing this while installation.

Hope you are installing CodeXL with "Administrator" privilege.

Also, I'm assuming that you are using CodeAnalyst 3.8 version.

There is a work-around for the issue that you are facing. Can you please try the following:

1. Un-Install CodeAnalyst 3.8

2. Install CodeXL 1.0

3. Install CodeAnalyst.

Now, both CodeAnalyst and CodeXL should work fine.

Let me know if you are still facing the problem.

Thanks,

Kalyan P

View solution in original post

0 Likes
settle
Challenger

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Thank you Kalyan!

I had CodeAnalyst 3.7 installed.  Once I uninstalled it, I could then install CodeXL (although it BSOD on the first try, when I restarted and installed it again, it picked up right where it left off).

Cheers!  This was pleasantly fast.

0 Likes
kalyanpk
Staff
Staff

Re: Error Installing CodeXL 1.0.2409

Jump to solution

Hi,

Glad to help.

Let us know your views/feedback on CodeXL.

Happy debugging.

Thanks,

Kalyan P

0 Likes